<?php
/**
 * Simple product add to cart
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/add-to-cart/simple.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.0
 */

defined( 'ABSPATH' ) || exit;

global $product;

if ( ! $product->is_purchasable() ) {
	return;
}

echo wc_get_stock_html( $product ); // WPCS: XSS ok.

if ( $product->is_in_stock() ) : ?>

	<?php do_action( 'woocommerce_before_add_to_cart_form' ); ?>

	<form class="cart" action="<?php echo esc_url( apply_filters( 'woocommerce_add_to_cart_form_action', $product->get_permalink() ) ); ?>" method="post" enctype='multipart/form-data'>
		<?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>

		<?php
			/**
			 * @since 2.1.0.
			 */
			do_action( 'woocommerce_before_add_to_cart_button' );

			/**
			 * @since 3.0.0.
			 */
			do_action( 'woocommerce_before_add_to_cart_quantity' );

		woocommerce_quantity_input( array(
			'min_value'   => apply_filters( 'woocommerce_quantity_input_min', $product->get_min_purchase_quantity(), $product ),
			'max_value'   => apply_filters( 'woocommerce_quantity_input_max', $product->get_max_purchase_quantity(), $product ),
			'input_value' => isset( $_POST['quantity'] ) ? wc_stock_amount( wp_unslash( $_POST['quantity'] ) ) : $product->get_min_purchase_quantity(), // WPCS: CSRF ok, input var ok.
		) );

			/**
			 * @since 3.0.0.
			 */
			do_action( 'woocommerce_after_add_to_cart_quantity' );


       global $pbtheme_data;

                // cmb2 fields
				$var_product_color = get_post_meta( $product->id, '_selosity_product_color', true );
                $product_color = !empty( $var_product_color ) ? get_post_meta( $product->id, '_selosity_product_color', true ) : $pbtheme_data['theme_color'];
				$var_sec_color = get_post_meta( $product->id, '_selosity_product_color_sec', true );
                $sec_color = !empty( $var_sec_color ) ? get_post_meta( $product->id, '_selosity_product_color_sec', true ) : 'white';
				$var_add_text = get_post_meta( $product->id, '_selosity_add_cart', true );
                $add_text = !empty( $var_add_text ) ? get_post_meta( $product->id, '_selosity_add_cart', true ) : $pbtheme_data['woo_addtocart'] ;

	 	?>

	 	<button type="submit" name="add-to-cart" class="single_add_to_cart_button button alt"  value="<?php echo esc_attr( $product->get_id() ); ?>" style="background: <?php echo $product_color;?>; color: <?php echo $sec_color; ?>;"><?php echo esc_html( $add_text ); ?></button>

		<?php
		if(class_exists("sellosityauthlicense") && array_key_exists('woo_addtocart_image',$pbtheme_data) && strlen($pbtheme_data['woo_addtocart_image'])>0 ){
			echo '<img src="'.$pbtheme_data['woo_addtocart_image'].'" />';
		}
		?>

		<?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>
	</form>

	<?php do_action( 'woocommerce_after_add_to_cart_form' ); ?>

<?php endif; ?>
